# ./Entities/Dockerfile
FROM mcr.microsoft.com/dotnet/sdk:8.0 AS entities
WORKDIR /src
COPY ../Entities/*.csproj ./Entities/
RUN dotnet restore "Entities/Entities.csproj"

COPY ../Entities/. ./Entities/
RUN dotnet publish "Entities/Entities.csproj" -c Release -o /publish